extends Area2D

@onready var sprite = $Sprite2D

@export var nodes: Array[Node2D]

var state = false

func _on_body_entered(body):
	if body is Player:
		state = not state
		for node in nodes:
			if node is TileMapLayer:
				var layer = node as TileMapLayer
				layer.enabled = !layer.enabled
				sprite.frame = 1 if state else 0
